Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.validation
Class ValidationLabelProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.validation.ValidationLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class ValidationLabelProvider

extends Object
implements org.eclipse.jface.viewers.ITableLabelProvider

`ITableLabelProvider` for displaying `Diagnostics` in a Tree with columns.

Author:
  jfaltermeier

Constructor Summary
`ValidationLabelProvider()` Default constructor.

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `dispose()`
`org.eclipse.swt.graphics.Image` | `getColumnImage(Object element, int columnIndex)`
`String` | `getColumnText(Object element, int columnIndex)`
`boolean` | `isLabelProperty(Object element, String property)`
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationLabelProvider

    public ValidationLabelProvider()

  Default constructor.

Method Detail

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.dispose()`

### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.isLabelProperty(java.lang.Object, java.lang.String)`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(Object element,
                                                         int columnIndex)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  See Also:
    `ITableLabelProvider.getColumnImage(java.lang.Object, int)`

### getColumnText

    public String getColumnText(Object element,
                                int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  See Also:
    `ITableLabelProvider.getColumnText(java.lang.Object, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.